Subject: bug#51337: Subject: 27.2; mouse-buffer-menu-mode-groups

From: Juri Linkov <[email-masked]>
Date: Sat, 23 Oct 2021 20:58:09 +0300

> the verilog files are grouped as "Version Control”. Clearly this is not
> correct. If i switch to a verilog file and do C-h major-mode Ret the
> major mode is listed as verilog.
>
> I've tried to update the mouse-buffer-menu-mode-groups to this
> Value:
> ("log\\|diff\\|vc\\|cvs\\|Git\\|Annotate" . "Version Control")

Oh, it's unfortunate that "log\\|diff..." also matches "verilog".
This regexp should be tightened to match only VC buffers, but
not buffers from other modes.  Maybe something like

  ("vc.*log\\|diff\\|vc\\|cvs\\|Git\\|Annotate" . "Version Control")